/*
* Автор: Маркелов С.В.
* Дата: 2014-03-24
* Задача: http://jira.softage.ru/jira/browse/SDFO-276
* Назначение: АРМ доработка механизма выбора справочников в п. 1.1 "Местонахождение банка/филиала" реквизита 4.7 в зависимости от значения кода в реквизите 3.2
* Изменяются объекты:
		update MESSAGES_TEMPLATES
*/

/*
  ****** Инструкции для SQLPlus (обязательно) ******
  Для печати сообщений:
  DBMS_OUTPUT.put_line('<Message>');
*/
whenever sqlerror exit 1;
set serveroutput on;
set ECHO off;
set DEFINE off;

declare
	filename      varchar2(256) := 'sfm.database-update.2014-03-24.UpdateMessagesTemplates.sql';
	purpose       varchar2(4000) := 'АРМ доработка механизма выбора справочников в п. 1.1 "Местонахождение банка/филиала" реквизита 4.7 в зависимости от значения кода в реквизите 3.2';
	SCRIPT_EXISTS number := 0;
begin

	--delete from DB_Update_History where script_name = filename;	commit;
	select count(*)
		into script_exists
		from DB_Update_History
	 where script_name = filename;

	if (script_exists > 0) then
		RAISE_APPLICATION_ERROR(-20001, '"' || filename || '" уже присутствует в базе');
	else
		insert into DB_Update_History
			(script_name, purpose)
		values
			(filename, purpose);
	end if;

	/*
	****** Begin update script ******
	*/
	-- Транзакционный апдейт
	UPDATE MESSAGES_TEMPLATES
	SET ROLE_ID=4
	WHERE ROLE_ID IS NULL;
	-- execute immediate '';
	UPDATE MESSAGES_TEMPLATES
	SET ROLE_ID = NULL
	WHERE ROLE_ID = 4;

	/*
	****** End update script ******
	*/
	commit;

exception
	when others then
		rollback;
		raise;
end;

/
